## w1retap 1.4.6

=== contrib/applets/archserv0:/Makefile ===
all: w1temp

w1temp : w1temp.vala
	valac --pkg libpanelapplet-2.0 --pkg gtk+-2.0 --pkg libsoup-2.4 --pkg json-glib-1.0 --thread w1temp.vala

clean:
	rm -f w1temp *~

install: w1temp
	install -d /usr/share/w1temp/ui /usr/share/w1temp/pixmaps
	install ../share/w1temp/ui/* /usr/share/w1temp/ui/
	install ../share/w1temp/pixmaps/* /usr/share/w1temp/pixmaps/
	install -s w1temp /usr/libexec
	install ../share/w1temp/schema/org.w1retap.w1temp.gschema.xml /usr/share/glib-2.0/schemas/
	glib-compile-schemas /usr/share/glib-2.0/schemas/

dist:   clean
	tar --exclude=\*.tar.xz -cf w1temp-gnome2.tar.xz -C ../.. applets/w1temp-gnome2 applets/share

=== contrib/sun_moon/sun_moon/Makefile ===
CC=gcc
LDFLAGS=-lnova -lm
CFLAGS=-Wall -O2 -s

all: solar lunar sun_moon

solar: solar.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

lunar: lunar.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

sun_moon: sun_moon.c
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)
 
clean: 
	rm -f solar lunar sun_moon *.o

install:
	cp solar lunar sun_moon ~/bin/

dist:
	rm -f solar lunar sun_moon *.o
	tar -C .. -czf ../sun_moon.tar.gz sun_moon

=== contrib/applets/w1temp-gnome3/w1temp-0.0.5/src/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/w1temp
pkgincludedir = $(includedir)/w1temp
pkglibdir = $(libdir)/w1temp
pkglibexecdir = $(libexecdir)/w1temp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
libexec_PROGRAMS = w1temp$(EXEEXT)
subdir = src
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	COPYING
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac-define-dir.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(appletdir)" \
	"$(DESTDIR)$(icondir)" "$(DESTDIR)$(pixmapdir)" \
	"$(DESTDIR)$(servicedir)"
PROGRAMS = $(libexec_PROGRAMS)
am_w1temp_OBJECTS = w1temp.$(OBJEXT)
w1temp_OBJECTS = $(am_w1temp_OBJECTS)
am__DEPENDENCIES_1 =
w1temp_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(w1temp_SOURCES)
DIST_SOURCES = $(w1temp_SOURCES)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
DATA = $(applet_DATA) $(icon_DATA) $(pixmap_DATA) $(service_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jrh/Projects/applets/w1temp-gnome3/missing --run aclocal-1.11
ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}
AMTAR = ${SHELL} /home/jrh/Projects/applets/w1temp-gnome3/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/jrh/Projects/applets/w1temp-gnome3/missing --run autoconf
AUTOHEADER = ${SHELL} /home/jrh/Projects/applets/w1temp-gnome3/missing --run autoheader
AUTOMAKE = ${SHELL} /home/jrh/Projects/applets/w1temp-gnome3/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GIO_MODULE_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GIO_MODULE_LIBS = -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
GLIB_LIBS = -Wl,--export-dynamic -pthread -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GLIB_MODULE_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
GLIB_MODULE_LIBS = -Wl,--export-dynamic -pthread -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GNOME_APPLETS_CFLAGS = -DGSEAL_ENABLE -pthread -I/usr/include/gtk-3.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/gnome-panel-4.0/libpanel-applet -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
GNOME_APPLETS_LIBS = -pthread -lpanel-applet-4 -lgconf-2 -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GNOME_PIXMAPSDIR = /usr/local/share/pixmaps
GREP = /usr/bin/grep
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBPANEL_APPLET_DIR = /usr/share/gnome-panel/4.0/applets
LIBS = -lm 
LIBSOUP_CFLAGS = -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBSOUP_LIBS = -pthread -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jrh/Projects/applets/w1temp-gnome3/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = w1temp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POW_LIB = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_APPLET = 
USE_CURLAPP = 
VERSION = 0.0.5
abs_builddir = /home/jrh/Projects/applets/w1temp-gnome3/src
abs_srcdir = /home/jrh/Projects/applets/w1temp-gnome3/src
abs_top_builddir = /home/jrh/Projects/applets/w1temp-gnome3
abs_top_srcdir = /home/jrh/Projects/applets/w1temp-gnome3
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jrh/Projects/applets/w1temp-gnome3/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapsdir = ${datarootdir}/pixmaps
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
INCLUDES = $(GLIB_MODULE_CFLAGS) $(GNOME_APPLETS_CFLAGS) $(LIBSOUP_CFLAGS) -DGNOME_DISABLE_DEPRECATED -Wall
w1temp_SOURCES = w1temp.c
w1temp_LDADD = $(GLIB_MODULE_LIBS) $(GNOME_APPLETS_LIBS) $(LIBSOUP_LIBS)
appletdir = $(LIBPANEL_APPLET_DIR)
applet_in_files = org.gnome.panel.w1tempApplet.panel-applet.in
applet_DATA = $(applet_in_files:.panel-applet.in=.panel-applet)
servicedir = $(datadir)/dbus-1/services
service_in_files = org.gnome.panel.applet.w1tempAppletFactory.service.in
service_DATA = $(service_in_files:.service.in=.service)
PIXIES = $(wildcard ../../share/w1temp/pixmaps/*.png)
pixmapdir = $(prefix)/share/w1temp/pixmaps
pixmap_DATA = $(PIXIES)
icon_DATA = w1temp.png
icondir = $(datadir)/pixmaps
CLEANFILES = $(applet_DATA) $(applet_DATA).in $(service_DATA) 
EXTRA_DIST = *.png README COPYING \
	$(service_in_files) org.gnome.panel.w1temp.panel-applet.in.in

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-libexecPROGRAMS: $(libexec_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(libexecdir)" || $(MKDIR_P) "$(DESTDIR)$(libexecdir)"
	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p || test -f $$p1; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \

=== debian/changelog ===
w1retap (1.4.6-1ubuntu5) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:51:16 -0500

w1retap (1.4.6-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:16 +1100

w1retap (1.4.6-1ubuntu3) noble; urgency=medium

  * Don't build with -Werror.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Mar 2024 23:56:21 +0000

w1retap (1.4.6-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:57:59 +0000

w1retap (1.4.6-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    - d/rules: Build with -O2 instead of -O3 on ppc64el to work around
      stringop-overflow error.
  * Dropped changes:
    - d/p/fix-maybe-uninitialized-error.patch: Removed, s390x builds properly
      now.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 24 Jan 2022 21:50:44 -0500

w1retap (1.4.6-1) unstable; urgency=medium

  * Renamed master branch to main
  * New upstream version 1.4.6 (Closes: #984400)
  * Remove parallel build and gcc-10 fix as now fixed upstream
  * Refresh dquilt patches
  * Update standards from 4.5.0 to 4.6.0
  * Update watch version from 3 to 4
  * Update copyright year for debian directory
  * Disable blhc test on Salsa until #950793 is fixed
  * Add more Salsa tests
  * Update Vcs URLs

 -- Thomas Stewart <thomas@stewarts.org.uk>  Wed, 12 Jan 2022 12:16:52 +0000

w1retap (1.4.4-4ubuntu2) hirsute; urgency=medium

  * d/p/fix-maybe-uninitialized-error.patch: Initialize tchar array to fix
    maybe-uninitialized error on s390x.
  * d/rules: Build with -O2 instead of -O3 on ppc64el to work around
    stringop-overflow error.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 07 Jan 2021 22:56:10 -0500

w1retap (1.4.4-4ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
  * d/p/fix-gcc9-build-error.patch: Dropped (no longer necessary).

 -- Logan Rosen <logan@ubuntu.com>  Thu, 07 Jan 2021 22:42:50 -0500

w1retap (1.4.4-3ubuntu2) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 15:35:57 -0300

w1retap (1.4.4-3ubuntu1) eoan; urgency=medium

  * d/p/fix-gcc9-build-error.patch: fix FTBFS on ppc64el

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 14 Aug 2019 16:01:54 +0200

=== debian/control ===
Source: w1retap
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Stewart <thomas@stewarts.org.uk>
Build-Depends: asciidoc-base,
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               docbook-xml,
               docbook-xsl,
               libglib2.0-dev,
               libmongo-client-dev,
               libpq-dev,
               libsqlite3-dev,
               libusb-dev,
               libxml2-dev,
               libxml2-utils,
               pkg-config,
               unixodbc-dev,
               xsltproc
Build-Conflicts: libowfat-dev
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/thomasdstewart/w1retap.git
Vcs-Browser: https://salsa.debian.org/thomasdstewart/w1retap
Homepage: http://www.zen35309.zen.co.uk/wx/tech.html

Package: w1retap
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, lsb-base (>= 3.0-6), ruby, ${misc:Depends}, ${shlibs:Depends}
Recommends: w1retap-doc
Description: Data logger for 1-Wire weather sensors
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.

Package: w1retap-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: Data logger for 1-Wire weather sensors (docs)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the documentation.

Package: w1retap-mysql
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (MySQL plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a MySQL database for storage.

Package: w1retap-mongo
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (MongoDB plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a MongoDB database for storage.

Package: w1retap-odbc
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (ODBC plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a ODBC database for storage.

Package: w1retap-pgsql
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (PostgreSQL plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and logs the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a PostgreSQL database for storage.

Package: w1retap-sqlite
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Data logger for 1-Wire weather sensors (SQLite plugin)
 The w1retap package reads weather sensors on a 1-Wire bus and data the
 retrieved data to the configured databases or files. It supports a number of
 different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
 Semiconductor Corp (now Maxim Integrated) and compatible sensors including
 those from AAG Electrónica and other hobby sensors.
 .
 This provides the capability to use a SQLite database for storage.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wno-error
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--disable-new-dtags -Wl,--allow-multiple-definition

ifeq ($(DEB_HOST_ARCH),ppc64el)
  export DEB_CFLAGS_MAINT_APPEND += -O2
  export DEB_CFLAGS_MAINT_STRIP += -O3
endif

override_dh_auto_build:
	dh_auto_build
	a2x --doctype=manpage --format manpage --verbose $(CURDIR)/debian/w1find.1.txt
	a2x --doctype=manpage --format manpage --verbose $(CURDIR)/debian/w1retap.1.txt
	a2x --doctype=manpage --format manpage --verbose $(CURDIR)/debian/w1sensors.1.txt

override_dh_auto_install:
	dh_auto_install
	install -D -o root -g root -m 755 docs/w1sensors.rb debian/tmp/usr/bin/w1sensors

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

%:
	dh $@

## w1retap 1.5.5

=== docs/Makefile ===

SRC := $(wildcard *.adoc)
IMGS =
OUTDIR=.
OPTPDF=$(OUTDIR)/w1retap.pdf
PDF=$(OUTDIR)/w1retap_.pdf
ODT=$(OUTDIR)/w1retap.odt
HTML=$(OUTDIR)/w1retap.html
RES=resources/theme.yml

w1OPTS=-a pdf-theme=resources/theme.yml -a pdf-fontsdir=/usr/share/fonts/noto


.PHONY: all

all: $(OPTPDF)

.PHONY: pdf
pdf: $(OPTPDF)

$(OPTPDF): $(SRC) $(RES) $(IMGS)
	asciidoctor-pdf $(w1OPTS) -o $(OPTPDF) $(SRC)
	-hexapdf optimize --compress-pages --force $(OPTPDF) $(OPTPDF)

.PHONY: html
html: $(HTML)

$(HTML): $(SRC) $(RES) $(IMGS)
	asciidoctor-pdf --backend=html5 -o $(HTML) $(SRC)

.PHONY: odt
odt: $(ODT)

$(ODT):  $(SRC) $(RES) $(IMGS)
	asciidoctor-pdf --backend=docbook -o - $(SRC) | \
	pandoc --from docbook --to odt --output $(ODT) -


clean:
	@rm -f w1retap.pdf w1retap.html w1retap.odt

=== debian/changelog ===
w1retap (1.5.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1098078)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 15:13:05 +0300

w1retap (1.5.5-2) unstable; urgency=medium

  * Update add-appstream-metainfo.patch (Closes: #1078858)
  * Run wrap-and-sort

  * Upload sponsored by Petter Reinholdtsen.

 -- Thomas Stewart <thomas@stewarts.org.uk>  Fri, 17 Jan 2025 02:35:29 +0000

w1retap (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * Remove autotools patches as project switched to meson
  * Refresh dquilt patches
  * Drop support for mongodb
  * Update standards from 4.6.0 to 4.7.0
  * Update watch to use new repo location
  * Update copyright year for debian directory
  * Set pristine-tar to true in gbp.conf
  * Remove lsb-base and change pkg-config to pkgconf from depends
  * Remove non-needed hs_err_pid18100.log from clean
  * Remove TODO from docs as upstream dropped it
  * Remove lintian-overrides for contrib
  * Add add-appstream-metainfo.patch (Closes: #1076450)
  * Run wrap-and-sort
  * Add fix-rpath.patch
  * Switch from libusb-0.1 to libusb-1.0
  * Update salsa-ci.yml

  * Upload sponsored by Petter Reinholdtsen.

 -- Thomas Stewart <thomas@stewarts.org.uk>  Thu, 01 Aug 2024 00:03:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: w1retap
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Stewart <thomas@stewarts.org.uk>
-Build-Depends: asciidoc-base,
-               debhelper-compat (= 13),
+Maintainer: Thomas Stewart <thomas@stewarts.org.uk>
+Build-Depends: debhelper-compat (= 13),
+               asciidoc-base,
                default-libmysqlclient-dev,
                docbook-xml,
                docbook-xsl,
                libglib2.0-dev,
-               libmongo-client-dev,
                libpq-dev,
                libsqlite3-dev,
-               libusb-dev,
+               libusb-1.0-0-dev,
                libxml2-dev,
                libxml2-utils,
-               pkg-config,
+               meson,
+               pkgconf,
                unixodbc-dev,
                xsltproc
 Build-Conflicts: libowfat-dev
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/thomasdstewart/w1retap.git
 Vcs-Browser: https://salsa.debian.org/thomasdstewart/w1retap
 Homepage: http://www.zen35309.zen.co.uk/wx/tech.html
@@ -28,7 +27,7 @@
 Package: w1retap
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser, lsb-base (>= 3.0-6), ruby, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser, ruby, ${misc:Depends}, ${shlibs:Depends}
 Recommends: w1retap-doc
 Description: Data logger for 1-Wire weather sensors
  The w1retap package reads weather sensors on a 1-Wire bus and logs the
@@ -63,19 +62,6 @@
  those from AAG Electrónica and other hobby sensors.
  .
  This provides the capability to use a MySQL database for storage.
-
-Package: w1retap-mongo
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Data logger for 1-Wire weather sensors (MongoDB plugin)
- The w1retap package reads weather sensors on a 1-Wire bus and logs the
- retrieved data to the configured databases or files. It supports a number of
- different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas
- Semiconductor Corp (now Maxim Integrated) and compatible sensors including
- those from AAG Electrónica and other hobby sensors.
- .
- This provides the capability to use a MongoDB database for storage.
 
 Package: w1retap-odbc
 Architecture: any

=== debian/tests/control ===
Tests: w1find-null, w1retap-helpmsg, w1retap-loadso
Depends: shunit2, @

=== debian/watch ===
version=4
https://codeberg.org/stronnag/w1retap/tags .*/(\d+).(\d+).(\d+).tar.gz
